<?php
// $Id: TreetitleAction.class.php,v 1.4 2007-10-24 20:49:01 dankert Exp $

// OpenRat Content Management System
// Copyright (C) 2002 Jan Dankert, jandankert@jandankert.de
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

/**
 * Action-Klasse zur Darstellung des Projekt-Auswahlmenues
 * @author $Author: dankert $
 * @version $Revision: 1.4 $
 * @package openrat.actions
 */

define('PROJECTID_ADMIN',-1);

class TreetitleAction extends Action
{
	var $defaultSubAction = 'show';

	function show()
	{
		// Das aktuelle Projekt voreinstellen		
		$project = Session::getProject();
		
		if	( $project->projectid == PROJECTID_ADMIN )
		{
			$this->setTemplateVar( 'text',lang('GLOBAL_ADMINISTRATION') );
			$this->setTemplateVar( 'type','administration' );
		}
		else
		{
			$this->setTemplateVar( 'text',$project->name );
			$this->setTemplateVar( 'type','project' );
			
//			// Ermitteln Sprache
//			$language = Session::getProjectLanguage();
//			
//			$windowMenu[] = array( 'text'=>lang('GLOBAL_LANGUAGE').' ('.$language->name.')',
//			                       'url' =>Html::url('main','language'),
//			                       'target'=>'cms_main' );
//	
//			// Ermitteln Projektmodell
//			$model = Session::getProjectModel();
//	
//			$windowMenu[] = array( 'text'=>lang('GLOBAL_MODEL').' ('.$model->name.')',
//			                       'url' =>Html::url('main','model'),
//			                       'target'=>'cms_main' );
		}
	}
	
	
	function checkMenu( $name )
	{
		switch( $name )
		{
			case 'administration':
				return $this->userIsAdmin();
			default:
				return true;
		}
	}
}

?>